
Redmine - Patch #23546

Issue visibility "watched by, created by or assigned to" for roles

2016-08-09 09:26 - Felix Schäfer

Status: New Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Issues permissions Estimated time: 0.00 hour

Target version:    

Description

There's been a bit of discussion (parts of #8488 and other) and some patches already for this or similar (#14318#note-22) and

others.

We wanted to contribute our "minimal" solution for this. This is a new ticket to avoid discussing ever more diverging patches on for

example #8488.

Related issues:

Related to Redmine - Feature #8488: Create an 'Involve' mechanism to private ... New

Related to Redmine - Patch #14318: Watchers Alerted To Changes But Cannot See... Closed

Has duplicate Redmine - Feature #27028: Issue's visibility for the watchers Closed

Has duplicate Redmine - Feature #28223: Lack of access for Watchers if visibi... Closed

Has duplicate Redmine - Feature #28614: Issue Watcher view Issue when not in ... Closed

Has duplicate Redmine - Feature #32491: Watcher can see tickets independent f... Closed

History

#1 - 2016-08-09 09:26 - Felix Schäfer

- File 23546-watched_or_created_or_assigned_issue_visibility.patch added

#2 - 2016-08-09 09:29 - Jan from Planio www.plan.io

- Related to Feature #8488: Create an 'Involve' mechanism to private issues added

#3 - 2016-08-09 09:30 - Jan from Planio www.plan.io

- Related to Patch #14318: Watchers Alerted To Changes But Cannot See Issues (potentially) added

#4 - 2016-08-10 18:49 - Marius BĂLTEANU

I tested the patch and seems to work fine only for public projects. If I set the project as private, I can't see the issue anymore as watcher. This is the

expected behavior?

#5 - 2016-08-23 16:32 - Holger Just

The patch should work for private projects too. However, in this case, you need to be a member of the project with a role which gives you:

the permission to view issues,

and the appropriate issue visibility

#6 - 2016-08-24 07:53 - Jens Krämer

Or, in other words - this new issue visibility option (like any of the other issue visiblity options) is not expected to give access to issues in projects

where you don't have access to issues through your role's permissions. The goal is just to provide a slightly broader scope compared to the 'issues

created by or assigned to the user' option.

#7 - 2016-08-24 08:11 - Marius BĂLTEANU

Jens Krämer wrote:

Or, in other words - this new issue visibility option (like any of the other issue visiblity options) is not expected to give access to issues in projects

where you don't have access to issues through your role's permissions. The goal is just to provide a slightly broader scope compared to the

'issues created by or assigned to the user' option.

 Thanks, now is clear for me how should work.
#8 - 2016-09-05 04:25 - Toshi MARUYAMA

- Target version set to 3.4.0

#9 - 2016-09-30 15:58 - David Sleeman

I tested this with MySQL12 and Redmine 3.3.0 and I received a parsing error for users with watched permission for some projects and all issue for

other projects. The apache logs claimed a parsing error SQL and the front end showed error 500 when trying to view all issues for all projects. Any

suggestions on how to proceed? I'm very keen to see this implemented but my SQL knowledge is quite low.

#10 - 2016-12-16 09:04 - Jean-Philippe Lang

- Target version deleted (3.4.0)

#11 - 2017-02-16 22:48 - Bruno Medeiros

You may be interested in my last comment on #8488 about this patch.

#12 - 2017-07-10 20:15 - Marius BĂLTEANU

- File 23546-watched_or_created_or_assigned_issue_visibility_3.4.1.patch added

Felix Schäfer, I've started to update the patches used in our instance to apply cleanly to Redmine 3.4.1 and a test from this patch fails

(ActiveRecord::RecordInvalid: Validation failed: Assignee is invalid).

I've updated your patch to pass the tests, please take a look on my changes to confirm that are ok (of course, if you want and have the time :) ).

#13 - 2017-09-20 16:05 - Go MAEDA

- Has duplicate Feature #27028: Issue's visibility for the watchers added

#14 - 2018-02-21 03:13 - Mischa The Evil

- Has duplicate Feature #28223: Lack of access for Watchers if visibility=Issues created by or assigned to added

#15 - 2018-04-28 16:13 - Lara R

I am unable to install it.

I tried with these command:

patch -p0 < 23546-watched_or_created_or_assigned_issue_visibility_3.4.1.patch.

I got this error:

can't find file to patch at input line 4_ Perhaps you used the wrong -p or --strip option? The text leading up to this was:

|*** diff Naur app/models/issue.rb ---- File to patch: –

Any ideas?

#16 - 2018-04-30 04:55 - Go MAEDA

- Has duplicate Feature #28614: Issue Watcher view Issue when not in project group added

#17 - 2018-11-20 08:21 - Marius BĂLTEANU

- Has duplicate Defect #29911: [Email Notification] _involved in_ clarification added

#18 - 2018-11-20 08:21 - Marius BĂLTEANU

- Has duplicate deleted (Defect #29911: [Email Notification] _involved in_ clarification)

#19 - 2019-11-20 14:19 - Holger Just

- Has duplicate Feature #32491: Watcher can see tickets independent from issue visibility added

#20 - 2022-02-01 17:22 - Tomasz Witke

Hi, any chance for updating this patch for Redmine 4.2? WIth new visibility feature userrs are seeing no tasks

#21 - 2024-04-09 10:32 - Martina A.

Hi everyone,

is there an updated patch available for Redmine Version 5.1.2?

Also this patch was rejected as feature within Redmine directly, it is really useful.

2025-05-17 2/3

www.redmine.org/issues/8488#note-166
https://www.redmine.org/users/3866
https://www.redmine.org/versions/130


We would be happy, if we could still use it within the new Redmine version.

Many thanks!

:)

Files

23546-watched_or_created_or_assigned_issue_visibility.patch 4.39 KB 2016-08-09 Felix Schäfer

23546-watched_or_created_or_assigned_issue_visibility_3.4.1.patch 5.32 KB 2017-07-10 Marius BĂLTEANU
